package freebase.catalog;

import java.sql.SQLException;

/**
 * Used to break the dependency between expressions and the Table object.
 * By using this interface the parser doesn't need direct references to Table
 * objects, instead just these light things.
 */
public interface ColumnStatisticProvider {
    ColumnStatistics getColumnStatistics(String column) throws SQLException;
}
