#  catalog creating script
#  compiled into the actual build
#  NOTE: this is old.  I'm still trying to decide if anything should be compiled or what.

create table schemas (
  schema_id int,
  schema_name varchar(40),
  
);


create table users (
  user_id int,
  user_name varchar(40),
  password char(16)  #  just enuf for an md5 hash
  
);


create table tables (
  table_id int,
  schema_id int,
  table_name varchar(40),
  partition_key_field_list_id int,
  created_time time,
  last_modified_time time
);


create table fields (
  table_id int,
  field_name varchar(40),
  field_type int,
  num_precision int,  #  I really want this to be a serious DB
  dec_precision int,
  nullable boolean,
  default_value varchar(255),  # default value cannot be larger than 255
  
);


create table indexes (
  table_id int,
  index_name varchar(40),
  index_field_list_id int,
  ascending boolean,
);


#  use "select * from field_lists where field_list_id = xyz"
create table field_lists (
  field_list_id int,
  order int,
  field_name varchar(40)
);


create table triggers (
);


create table nodes (
  node_id int,
  node_addresses varchar(128)  # ip or hostname comma separated
);


# sad, but does the nodegroup need anything but an id?
create table nodegroups (
  nodegroup_id int
  
);


create table nodegroup_node_links (
  nodegroup_id int,
  node_id int
);


create table partition_maps (
);
