/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 21, 2001
 * Time: 3:34:52 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.client;

import javax.swing.*;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Controls a GUI based SQL prompt.  Doesn't do anything yet.
 */
public class GuiPrompt extends JFrame {
    JTextArea textArea = new JTextArea();
    JScrollPane scrollPane;

    public GuiPrompt(String user, String password) {
        addWindowListener(new WindowEventListener());

        scrollPane = new JScrollPane(textArea);
        getContentPane().add(scrollPane);
        textArea.addKeyListener(new KeyboardListener());

        setLocation(100, 100);
        setSize(500, 200);

        setVisible(true);
        setTitle("SQL Session");
    }

    StringBuffer curBuffer = new StringBuffer();

    class KeyboardListener implements KeyListener {
        public void keyTyped(KeyEvent e) {

            System.out.println("Key typed: " + e);
            e.consume();
        }

        public void keyPressed(KeyEvent e) {
            //System.out.println("Key pressed: " + e);
        }

        public void keyReleased(KeyEvent e) {
           // System.out.println("Key released: " + e);
        }
    }


    class WindowEventListener extends WindowAdapter {
        public void windowClosing(WindowEvent e) {
            System.exit(0);
        }
    }
}
