/**
 * Copyright 2004 JJ Furman
 * Time: 10:19:31 PM
 */
package freebase.jdbc;

import java.sql.SQLException;
import java.sql.Savepoint;


public class F3Savepoint implements Savepoint {
    String name;
    int id = 0;

    public F3Savepoint(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public F3Savepoint(int id) {
        this("savepoint_"+ id, id);
    }

    /**
     * Really have no clue what this is supposed to represent, or what space this is supposed to be unique against!
     * @return
     * @throws SQLException
     */
    public int getSavepointId() throws SQLException {
        return 0;
    }

    public String getSavepointName() throws SQLException {
        return name;
    }
}
