package freebase.log.tm;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

/**
 * Copyright Mar 1, 2004 JJ Furman
 * Time: 9:20:47 AM
 */
public class CheckpointEndLogEntry extends TMLogEntry {
      //  note:  this is only used if multiple checkpoints can happen at once (!) or if
      //  we save the "checkpoint start" message in the log anchor ever.
    long checkpointStartLSN;



    /**
     * super  + 4 bytes for the length field + 8 bytes per active transaction id
     * @return
     */
    public int getSize() {
        return super.getSize();// + 4 + activeTransactions.length * 8;
    }

    public void readIn(DataInput in) throws IOException {
        super.readIn(in);

        /*
        int len = in.readInt();
        activeTransactions = new long[len];
        for(int i = 0; i < len; i++) {
            activeTransactions[i] = in.readLong();
        }
        */
    }

    public void writeOut(DataOutput out) throws IOException {
        super.writeOut(out);

        /*
        out.writeInt(activeTransactions.length);
        for(int i = 0; i < activeTransactions.length; i++) {
            out.writeLong(activeTransactions[i]);
        }
        */
    }

    public short getCode() {
        return CHECKPOINT_END_LOG_CODE;
    }

    public String toString() {
        return "Checkpoint End";
    }
}
