/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 13, 2001
 * Time: 7:38:22 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.log.tm;

import freebase.log.LogEntry;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

/**
 *  A Transaction Manager Log entry
 */
public abstract class TMLogEntry extends LogEntry {
    public int getSize() {
        return 0;
    }

    /**
     * Nothing to read
     */
    public void readIn(DataInput in) throws IOException { }

    /**
     * Nothing to write
     */
    public void writeOut(DataOutput out) throws IOException { }
}
