/*
 * Created by IntelliJ IDEA.
 * User: Administrator
 * Date: Sep 18, 2001
 * Time: 11:04:15 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;

import java.io.Serializable;

/**
 * consider that this is redundant with ColumnInfo
 */
public class ColumnDefinition implements Serializable {
    String fieldName;
    int sqlType;

    int size = 0;
    int scale = 0;
    boolean nullable = true;
    //  unique?

    /**
     * Create an empty column definition
     */
    public ColumnDefinition() { }


    public ColumnDefinition(String fieldName, int sqlType,
                            int size, int scale, boolean nullable) {
        this.fieldName = fieldName;
        this.sqlType   = sqlType;
        this.size      = size;
        this.scale     = scale;
        this.nullable  = nullable;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public int getSqlType() {
        return sqlType;
    }

    public void setSqlType(int sqlType) {
        this.sqlType = sqlType;
    }

    public int getSize() {
        return size;
    }

    public void setScale(String s) {
        if(s != null)
            setScale(Integer.parseInt(s));
    }

    public void setSize(String size) {
        if(size != null)
            setSize(Integer.parseInt(size));
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getScale() {
        return scale;
    }

    public void setScale(int s) {
        this.scale = s;
    }

    public boolean isNullable() {
        return nullable;
    }

    public void setNullable(boolean nullable) {
        this.nullable = nullable;
    }
}
