/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Jan 6, 2002
 * Time: 7:41:44 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;

import java.io.Serializable;
import java.util.ArrayList;

public class ForeignKeyConstraint implements Serializable {
    String constraintName;

    ArrayList localFields = new ArrayList();

    /**
     * Table that is referenced
     */
    String referencedTable;

    /**
     * List of fields that in the referenced table, corresponding to the local fields above
     */
    ArrayList referencedFields = new ArrayList();

    public void setConstraintName(String name) {
        this.constraintName = name;
    }

    public void addLocalField(String field) {
        localFields.add(field);
    }

    public void addReferencedField(String field) {
        referencedFields.add(field);
    }

    public void setReferencedTable(String table) {
        this.referencedTable = table;
    }
}
