/**
 * Copyright 2004 JJ Furman
 */
package freebase.sql;

/**
 * <SET> <TRANSACTION> <ISOLATION> <LEVEL>
    (
        <READ> (<UNCOMMITTED> | <COMMITTED>)
     |  <REPEATABLE> <READ>
     |  <SERIALIZABLE> )
 */
public class SetTransactionStatement extends SqlStatement {
    int isolationLevel;


    public int getIsolationLevel() {
        return isolationLevel;
    }

    public void setIsolationLevel(int isolationLevel) {
        this.isolationLevel = isolationLevel;
    }
}
