/*
 * Copyright JJ Furman
 * User: user
 * Date: Apr 17, 2002
 * Time: 3:01:00 PM
 */
package freebase.sql.function;

import freebase.api.ColumnInfo;

import java.sql.SQLException;

/**
 * These methods are here just because I'm getting a little tired of constantly
 * casting and checking instanceof.  I know it is the java way, but this is a
 * little experiment to the contrary.  Kindof dumb, I know.
 */
public interface Function {
    /**
     * Given the inputs, describes the output
     */
    ColumnInfo getColumnInfo(ColumnInfo[] inputs) throws SQLException;

    /**
     * True if this function is an agreggator, false if it is just normal
     */
    boolean isAggregation();

    /**
     * Return the aggregation function
     */
    AggregationFunction getAggregationFunction();

    /**
     *
     */
    StandardFunction getStandardFunction();
}
