/*
 * Copyright JJ Furman
 * User: user
 * Date: Apr 17, 2002
 * Time: 3:08:16 PM
 */
package freebase.sql.function;

/**
 * The FunctionManager uses FunctionFactories to create
 * functions.
 */
public interface FunctionFactory {
    /**
     * Current pattern is that a single function factory creates a single
     * function type.  This is because most functions are their own factory, making
     * it very easy.
     */
    Function getFunction();
}
