/**
 * Copyright 2004 JJ Furman
 * Time: 3:04:30 PM
 */
package freebase.sql.plan.visitor;

import freebase.sql.SqlCondition;
import freebase.sql.SqlExpression;
import freebase.sql.expression.*;

import java.sql.SQLException;

/**
 * A helper to make some visitors easier to read.
 */
public class VisitorBase implements ExpressionVisitor {
    public boolean forExpr(SqlExpression exp) throws SQLException {
        return true;
    }

    public boolean forCond(SqlCondition cond) throws SQLException {
        return true;
    }

    public boolean forColumn(ColumnExpression col) throws SQLException {
        return true;
    }

    public boolean forFunc(FunctionalExpression func) throws SQLException {
        return true;
    }

    public boolean forBindableLiteral(BindableLiteral bind) throws SQLException {
        return true;
    }

    public boolean forGroupByItem(GroupByItem item) throws SQLException {
        return true;
    }

    public boolean forLiteralExpression(LiteralExpression lit) throws SQLException {
        return true;
    }

    public boolean forNegative(NegativeExpression neg) throws SQLException {
        return true;
    }
}
