package freebase.test.regression;

import freebase.StartDaemon;
import freebase.test.QueryTest;
import freebase.util.Helper;

/**
 * TODO:  make it run in one regression entity, maybe (for ordering permutation for example)
 * TODO:  support output to a file or something like that
 */
public class AllTests {

    static Class[] allTestClasses = new Class[] {
        ValidationTest.class,
        QueryTest.class,
        UpdatesTest.class,
        ConcurrencyTest.class,
        UniqueKeyTest.class,

        //  Add your test here, (wherever you like in this list
    };

    public static void main(String[] args) throws Throwable {
        long startTime = System.currentTimeMillis();
        StartDaemon.startDatabaseServer().createTestSchema();

        boolean noErrors = true;
        for(int i = 0; i < allTestClasses.length; i++) {
            noErrors = RegressionTest.runTest(allTestClasses[i]) && noErrors;
            System.out.println("---------------------------------------------------------");
        }

        System.out.print("Total Time: ");
        Helper.printElapsed(System.out, System.currentTimeMillis() - startTime);
        System.out.println();
        if(noErrors) {
            System.out.println("ALL TESTS OK!  :) :) :) :) :)");
            System.exit(0);
        } else {
            System.out.println("SOME TESTS: FAILED FAILED FAILED FAILED FAILED FAILED BAD BAD BAD");
            System.exit(1);
        }
    }
}

