/**
 * Copyright 2004 JJ Furman
 * Time: 11:06:16 PM
 */
package freebase.util;

import java.util.Comparator;

/**
 * Used to handle case insensitive indexes.  Can't subclass from String so that is out of the
 * question.  So just pass this in as the comparator to get standard database comparison.
 */
public class IndexComparator implements Comparator {
    public int compare(Object o1, Object o2) {
        return SqlTypes.compareNullsEqual((Comparable)o1, (Comparable)o2);
    }
}
