package freebase.api;

/**
 * Log anchor keeps the position of the last checkpoint (start).
 * Copyright 2004 JJ Furman
 * Time: 11:47:40 AM
 */
public interface LogAnchor {

    public long getLastCheckpoint();

    /**
     * returns only when the checkpoint pos is stored in durable storage.
     */
    public void setLastCheckpoint(long pos);
}
