package freebase.api;

import freebase.engine.Transaction;

/**
 * A callback mechanism for getting notified when a transaction commits or rollback.
 * Used to release locks quickly.
 * Copyright 2004 JJ Furman
 * Time: 2:01:37 PM
 */
public interface TransactionDoneCallback {
    void transactionDone(Transaction t, int finalStatus, Object callbackData);
}
