package freebase.lock;

import java.sql.SQLException;

/**
 * High level API for a lock wait object.  When you need a specific resource but it isn't appropriately available,
 * then request a wait object on the resource and await its availability.  When this returns you have the lock. 
 * Copyright 2004 JJ Furman
 * Time: 9:57:14 PM
 */
public interface LockWait {
    void await() throws SQLException;
}
