package freebase.lock;

import freebase.engine.Transaction;

/**
 * Used to be a deadlock callback but no longer; see DeadlockDetectorDelegate
 * Copyright Mar 4, 2004 JJ Furman
 * Time: 6:27:28 PM
 */
public class WaitLockHolder  {
    Transaction lockHolder;

    public void setTransaction(Transaction t) {
        this.lockHolder = t;
    }

    public Transaction getTransaction() {
        return lockHolder;
    }

    /**
     * To notify oneself is a popular implementation of
     * this ->  this needs to be thought throught, from the perspective of concurrent wakeups!!!
     *
    public void notifyOfDeadlock() {
        synchronized(this) {
            isInDeadlock = true;
            //this.notifyAll();
            this.notify();
        }
    }

    public boolean isInDeadlock() {
        return isInDeadlock;
    }
     
     */
    public String toString() {
        return "WaitLock: currently held by: " + lockHolder;
    }
}