/*
 * Copyright JJ Furman
 * User: user
 * Date: Mar 17, 2002
 * Time: 3:35:55 PM
 */
package freebase.log;

/**
 *  all codes in [0,4095] are reserved.  feel free to use the others.
 */
public interface DefaultLogEntryCodes {
    /**
     * Basically, an error
     */
    final public static short ABSTRACT_LOG_CODE = 0;

    /**
     * Transaction Manager Codes
     */
    final public static short BEGIN_TRANSACTION_LOG_CODE = 1;
    final public static short COMMIT_TRANSACTION_LOG_CODE = 2;
    final public static short ROLLBACK_LOG_CODE = 3;
    final public static short SAVEPOINT_LOG_CODE = 4;
    final public static short ROLLBACK_COMPLETE_LOG_CODE = 5;
    final public static short CHECKPOINT_START_LOG_CODE = 6;
    final public static short CHECKPOINT_END_LOG_CODE = 7;

    final public static short UNDO_LOG_CODE = 30;

    /**
     * Basic Locks
     */
    final public static short LOCK_TABLE_LOG_CODE = 50;

    /**
     * Memory DB
     */
    final public static short MEMORY_ROW_UPDATE_LOG_CODE = 100;
    final public static short MEMORY_STORAGE_LOG_CODE = 101;
    final public static short MEMORY_SEQUENCE_INC_LOG_CODE = 102;
    final public static short MEMORY_SEQUENCE_STRUCTURE_LOG_CODE = 103;

    /**
     * Memory tree index
     */
    final public static short MEMORY_INDEX_LOG_CODE = 150;


}
