/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 22, 2001
 * Time: 9:40:51 AM
 * To change template for new interface use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.server;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.sql.SQLException;

/**
 * What do you want?  Streams data.
 */
public interface DataStreamer extends Remote {
    /**
     * Returns more data.  May return less or more than the number requested.
     * a null entry in the array means that the end of the stream has been hit.
     */
    Comparable[][] getData(int numRows) throws SQLException, RemoteException;

    RowData[] getDataAsRows(int numRows) throws SQLException, RemoteException;

    void close() throws SQLException, RemoteException;

    ExecutionPlan getExecutionPlan() throws SQLException, RemoteException;
}
