/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 22, 2001
 * Time: 8:52:03 AM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.server;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.sql.SQLException;

public class LoginAgentImpl extends UnicastRemoteObject
        implements LoginAgent  {

    DatabaseNode localNode;

    public LoginAgentImpl(DatabaseNode localNode) throws RemoteException {
        this.localNode = localNode;
    }

    /**
     * If the username and password are good, it issues a connection.
     */
    public DBConnection getConnection(String user, String password) throws SQLException {
        return DatabaseNode._getConnection(user, password, true);
    }

    /*
    When implementing challenge response, locally record the challenges in a list and remove old
    ones each time through.  Timeout on these guys should be in the few seconds, maybe 10
    */
}
