/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Jan 6, 2002
 * Time: 7:14:13 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;


public class AlterTableStatement extends DDLStatement {
    TableRef table;

    ForeignKeyConstraint fk;

    ColumnDefinition newColumn;

    public void setTable(TableRef table) {
        this.table = table;
    }

    public TableRef getTable() {
        return table;
    }

    public void setForeignKeyContraint(ForeignKeyConstraint fk) {
        this.fk = fk;
    }

    /**
     * Called when this is an; ALTER TABLE ADD {column} {type} etc
     * @param col
     */
    public void setNewColumn(ColumnDefinition col) {
        newColumn = col;
    }

    /**
     * Will be null if this is not a new column definition statement
     * @return
     */
    public ColumnDefinition getNewColumn() {
        return newColumn;
    }
}
