/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Jan 7, 2002
 * Time: 7:52:02 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;

import freebase.parser.ParseException;
import freebase.util.SqlTypes;

public class CommentOnColumnStatement extends DDLStatement {
    ColumnRef column;
    String comment;

    public void setColumn(ColumnRef column) throws ParseException {
        if(column.getTable() == null)
            throw new ParseException("column reference must be table.column");
        this.column = column;
    }

    public void setComment(String comment) throws ParseException {
        try{
        this.comment = SqlTypes.deSqlize(comment);
        }catch(java.text.ParseException p) {
            throw new ParseException(p.getMessage());
        }
    }

    public String toString() {
        return "Comment on " + column + " is '" + comment + "'";
    }
}
