/*
 * Created by IntelliJ IDEA.
 * User: Administrator
 * Date: Sep 10, 2001
 * Time: 10:39:19 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;

import java.sql.SQLException;

public class DeleteStatement extends DMLStatement {
    TableRef table;
    SqlCondition condition;

    /**
     * Called from query processor.
     */
    public DeleteStatement() { }

    public DeleteStatement(String tab, SqlCondition condition) {
        this.table = new TableRef(null, tab);
        this.condition = condition;
    }

    /**
     *
     */
    public int bindLiterals(Comparable[] values, int curPos) throws SQLException {
        if(getCondition() != null) {
            curPos = getCondition().bindLiterals(values, curPos);
        }

        return curPos;
    }

    public void setTable(TableRef table) {
        this.table = table;
    }

    public void setCondition(SqlCondition condition) {
        this.condition = condition;
    }


    public String getSchema() {
        return table.getSchema();
    }

    public SqlCondition getCondition() {
        return condition;
    }

    public String getTableName() {
        return table.getTable();
    }
}
