/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 26, 2001
 * Time: 5:12:47 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql;

/**
 * Drop Sequence.  The TableRef isn't really a table ref...  the tablename is really the sequence name.
 */
public class DropSequenceStatement extends DDLStatement {
    /**
     * Note:  really an IndexRef (why make another class?)
     */
    TableRef table;

    public DropSequenceStatement(TableRef table) {
        this.table = table;
    }

    public String getSchema(String defaultSchema) {
        return table.getSchema(defaultSchema);
    }

    public String getName() {
        return table.getTable();
    }
}
