/*
 * Created by IntelliJ IDEA.
 * User: administrator
 * Date: Nov 19, 2001
 * Time: 11:37:46 PM
 * To change template for new interface use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package freebase.sql.function;

import java.sql.SQLException;

/**
 * What is the function?  Should this also be the Factory for
 * set functions?  Does it really matter?
 *
 * TODO:  Consider supporting multiple output values ala Python
 */
public abstract class StandardFunction implements Function, FunctionFactory {
    /**
     * Evaluate the value of this function with the given inputs.
     */
    public abstract Comparable evaluate(Comparable[] input) throws SQLException;


    /**
     * Old Notes:
     * My guess is that -1 means any number
     *
    abstract int getNumInputs();  //  max, min
    abstract int getNumOutputs();

    //  getTypes

    abstract String getName();
    */

    /*************************************
     * function methods
     */
    public boolean isAggregation() {
        return false;
    }

    public AggregationFunction getAggregationFunction() {
        return null;
    }

    public StandardFunction getStandardFunction() {
        return this;
    }

    /**
     * Standard functions are their own factories.
     */
    public Function getFunction() {
        return this;
    }
}
