package freebase.store;


import java.io.IOException;


public class BadBlockRead extends IOException {
    public int fileId;
    public int entityId;
    public String filename;
    public int blockId;
    
    public BadBlockRead(String message, int fileId, int entityId, String filename, int blockId) {
        this.fileId = fileId;
        this.entityId = entityId;
        this.filename = filename;
        this.blockId = blockId;
    }
    
    public String toString() {
        return "BAD BLOCK READ FOUND: file: " + filename + "   blockNum: " + blockId;
    }
}