package freebase.store;

/**
 *  An adapter for reading log pages from disk blocks
 *  TODO:  might make this static
 */
public class ContentPageInterface {
    int blockSize;

    public ContentPageInterface(int blockSize) {
        this.blockSize = blockSize;
    }

    public int getBlockSize() {
        return blockSize;
    }

    public boolean isUsedBlock(Block b) {
        return b.getLSN() != 0;
    }
}