package freebase.test;

/**
 * Demonstrates that sending an interrupt doesn't do a whole lot 
 *
 * Copyright 2004 JJ Furman
 * Time: 3:31:33 PM
 */
public class LockInterrupt {
    static Object lock = new Object();

    public static void main(String[] args) {
        synchronized(lock) {
            Thread t = new Test();
            t.start();

            try{
                Thread.sleep(25);
            }catch(InterruptedException e) {
                e.printStackTrace();
            }

            t.interrupt();
        }
    }

    static class Test extends Thread {
        public void run() {
            try{
                synchronized(lock) {
                    System.out.println(isInterrupted());
                    System.out.println("got lock");
                }
            }catch(Throwable t) {
                t.printStackTrace();
            }
        }
    }
}
