/**
 * Copyright 2004 JJ Furman
 * Time: 10:44:36 AM
 */
package freebase.util;

import java.util.ArrayList;
import java.util.List;

/**
 * Simple autogrowing list of lists
 *   //  TODO:  someday make this pattern a friggin java template!  How many times have I wrote lists of XYZ and HashMaps of XYZ?
 */
public class ListOfLists {
    ArrayList lists = new ArrayList();

    /**
     * Will automatically grow and create internal lists
     * @param x
     * @param y
     * @param obj
     */
    public void set(int x, int y, Object obj) {
        ListHelper.ensureSize(lists, x + 1);
        ArrayList internalList = (ArrayList)lists.get(x);
        if(internalList == null) {
            internalList = new ArrayList();
            lists.set(x, internalList);
        }

        ListHelper.ensureSize(internalList, y + 1);
        internalList.set(y, obj);
    }

    public List get(int x) {
        return (List)lists.get(x);
    }

    public Object get(int x, int y) {
        return ((List)lists.get(x)).get(y);
    }

    public int getSize(int x) {
        List l = get(x);
        if(l == null) {
            return 0;
        }

        return l.size();
    }
}
