/*
 * Copyright JJ Furman
 * User: user
 * Date: May 2, 2002
 * Time: 9:16:54 AM
 */
package freebase.util;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;

/**
 * For debugging, produces an output file in csv format
 */
public class MemoryDumpThread extends Thread {
    String fileName;

    PrintStream out;

    public MemoryDumpThread(String file) {
        fileName = file;

    }

    public void run() {
        Runtime r = Runtime.getRuntime();

        try{
            out = new PrintStream(new FileOutputStream(fileName));

            out.println("minute num,mem used");

            int minute = 0;
            while(true) {
                out.println((minute++) + ","+ ((r.totalMemory() - r.freeMemory())));
                out.flush();

                try{
                    Thread.sleep(60000);
                }catch(InterruptedException ie) {
                    ie.printStackTrace();
                }
            }
        }catch(IOException ioe) {
            ioe.printStackTrace();
        }
    }
}
