/*
 * Copyright JJ Furman
 * User: user
 * Date: Apr 9, 2002
 * Time: 8:24:37 PM
 */
package freebase.util;

/**
 * A mutable integer class, useful at leafs of data structures for keeping reference counts etc...
 */
public class MutableInteger {
    public MutableInteger(int val) {
        this.value = val;
    }

    public int value;

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }
}
