/**
 * Copyright 2004 JJ Furman
 * Time: 9:18:24 PM
 */
package freebase.util;

import java.io.FileOutputStream;
import java.io.RandomAccessFile;

/**
 * cuz unix tail ain't good enuf.  cygwin tail seems to fail after 2 gigs :(
 */
public class Tail {
    final static int TAIL_SIZE = 20000000;

    public static void main(String[] args) throws Throwable {
        RandomAccessFile f = new RandomAccessFile("data/log.txt", "r");
        long len = f.length();

        byte[] buffer = new byte[TAIL_SIZE];
        f.seek(len - TAIL_SIZE);
        f.read(buffer);

        FileOutputStream out = new FileOutputStream("data/tail.txt");
        out.write(buffer);
        out.close();
        f.close();
        //System.out.println();
    }
}
